## sfeed 1.6

=== Makefile ===
.POSIX:

NAME = sfeed
VERSION = 1.6

# curses theme, see themes/ directory.
SFEED_THEME = mono

# paths
PREFIX = /usr/local
MANPREFIX = ${PREFIX}/man
DOCPREFIX = ${PREFIX}/share/doc/${NAME}

RANLIB = ranlib

# use system flags.
SFEED_CFLAGS = ${CFLAGS}
SFEED_LDFLAGS = ${LDFLAGS}
SFEED_CPPFLAGS = -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700 -D_BSD_SOURCE

# uncomment for conservative locked I/O.
#SFEED_CPPFLAGS = -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700 -D_BSD_SOURCE \
#	-DGETNEXT=getchar

# set $SFEED_CURSES to empty to not build sfeed_curses.
SFEED_CURSES = sfeed_curses
SFEED_CURSES_CFLAGS = ${CFLAGS}
SFEED_CURSES_CPPFLAGS = -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700 -D_BSD_SOURCE \
	 -DSFEED_THEME=\"themes/${SFEED_THEME}.h\" ${SFEED_CPPFLAGS}
SFEED_CURSES_LDFLAGS = ${LDFLAGS} -lcurses

# Linux: some distros use ncurses and require -lncurses.
#SFEED_CURSES_LDFLAGS = ${LDFLAGS} -lncurses

# Gentoo Linux: some distros might also require -ltinfo and -D_DEFAULT_SOURCE
# to prevent warnings about feature test macros.
#SFEED_CURSES_LDFLAGS = ${LDFLAGS} -lcurses -ltinfo

# FreeBSD: unset feature test macros for SIGWINCH etc.
#SFEED_CURSES_CPPFLAGS =

# use minicurses with hardcoded escape sequences (not the system curses).
#SFEED_CURSES_CPPFLAGS = -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700 -D_BSD_SOURCE \
#	-DSFEED_THEME=\"themes/${SFEED_THEME}.h\" -DSFEED_MINICURSES
#SFEED_CURSES_LDFLAGS = ${LDFLAGS}

BIN = \
	sfeed\
	sfeed_atom\
	${SFEED_CURSES}\
	sfeed_frames\
	sfeed_gopher\
	sfeed_html\
	sfeed_mbox\
	sfeed_opml_import\
	sfeed_plain\
	sfeed_twtxt\
	sfeed_web\
	sfeed_xmlenc
SCRIPTS = \
	sfeed_content\
	sfeed_markread\
	sfeed_opml_export\
	sfeed_update

SRC = ${BIN:=.c}
HDR = \
	minicurses.h\
	util.h\
	xml.h

LIBUTIL = libutil.a
LIBUTILSRC = \
	util.c
LIBUTILOBJ = ${LIBUTILSRC:.c=.o}

LIBXML = libxml.a
LIBXMLSRC = \
	xml.c
LIBXMLOBJ = ${LIBXMLSRC:.c=.o}

COMPATSRC = \
	strlcat.c\
	strlcpy.c
COMPATOBJ =\
	strlcat.o\
	strlcpy.o

LIB = ${LIBUTIL} ${LIBXML} ${COMPATOBJ}

MAN1 = ${BIN:=.1}\
	${SCRIPTS:=.1}
MAN5 = \
	sfeed.5\
	sfeedrc.5
DOC = \
	LICENSE\
	README\
	README.xml

all: ${BIN}

${BIN}: ${LIB} ${@:=.o}

OBJ = ${SRC:.c=.o} ${LIBXMLOBJ} ${LIBUTILOBJ} ${COMPATOBJ}

${OBJ}: ${HDR}

.o:
	${CC} -o $@ $< ${LIB} ${SFEED_LDFLAGS}

.c.o:
	${CC} -o $@ -c $< ${SFEED_CFLAGS} ${SFEED_CPPFLAGS}

sfeed_curses.o: sfeed_curses.c themes/${SFEED_THEME}.h
	${CC} -o $@ -c sfeed_curses.c ${SFEED_CURSES_CFLAGS} ${SFEED_CURSES_CPPFLAGS}

sfeed_curses: ${LIB} sfeed_curses.o
	${CC} -o $@ sfeed_curses.o ${LIB} ${SFEED_CURSES_LDFLAGS}

${LIBUTIL}: ${LIBUTILOBJ}
	${AR} -rc $@ $?
	${RANLIB} $@

${LIBXML}: ${LIBXMLOBJ}
	${AR} -rc $@ $?
	${RANLIB} $@

dist:
	rm -rf "${NAME}-${VERSION}"
	mkdir -p "${NAME}-${VERSION}"
	cp -fR ${MAN1} ${MAN5} ${DOC} ${HDR} \
		${SRC} ${LIBXMLSRC} ${LIBUTILSRC} ${COMPATSRC} ${SCRIPTS} \
		themes Makefile \
		sfeedrc.example style.css \
		"${NAME}-${VERSION}"
	# make tarball
	tar cf - "${NAME}-${VERSION}" | \
		gzip -c > "${NAME}-${VERSION}.tar.gz"
	rm -rf "${NAME}-${VERSION}"

clean:
	rm -f ${BIN} ${OBJ} ${LIB}

install: all
	# installing executable files and scripts.
	mkdir -p "${DESTDIR}${PREFIX}/bin"
	cp -f ${BIN} ${SCRIPTS} "${DESTDIR}${PREFIX}/bin"
	for f in ${BIN} ${SCRIPTS}; do chmod 755 "${DESTDIR}${PREFIX}/bin/$$f"; done
	# installing example files.
	mkdir -p "${DESTDIR}${DOCPREFIX}"
	cp -f sfeedrc.example\
		style.css\
		README\
		README.xml\
		"${DESTDIR}${DOCPREFIX}"
	# installing manual pages for general commands: section 1.
	mkdir -p "${DESTDIR}${MANPREFIX}/man1"
	cp -f ${MAN1} "${DESTDIR}${MANPREFIX}/man1"
	for m in ${MAN1}; do chmod 644 "${DESTDIR}${MANPREFIX}/man1/$$m"; done
	# installing manual pages for file formats: section 5.
	mkdir -p "${DESTDIR}${MANPREFIX}/man5"
	cp -f ${MAN5} "${DESTDIR}${MANPREFIX}/man5"
	for m in ${MAN5}; do chmod 644 "${DESTDIR}${MANPREFIX}/man5/$$m"; done

uninstall:
	# removing executable files and scripts.
	for f in ${BIN} ${SCRIPTS}; do rm -f "${DESTDIR}${PREFIX}/bin/$$f"; done
	# removing example files.
	rm -f \
		"${DESTDIR}${DOCPREFIX}/sfeedrc.example"\
		"${DESTDIR}${DOCPREFIX}/style.css"\
		"${DESTDIR}${DOCPREFIX}/README"\
		"${DESTDIR}${DOCPREFIX}/README.xml"
	-rmdir "${DESTDIR}${DOCPREFIX}"
	# removing manual pages.
	for m in ${MAN1}; do rm -f "${DESTDIR}${MANPREFIX}/man1/$$m"; done
	for m in ${MAN5}; do rm -f "${DESTDIR}${MANPREFIX}/man5/$$m"; done

.PHONY: all clean dist install uninstall

=== debian/changelog ===
sfeed (1.6-1) unstable; urgency=low

  * Initial release (Closes: #1000594 and #1008853)

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Thu, 15 Sep 2022 21:40:07 +0200

## sfeed 1.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed
-VERSION = 1.6
+VERSION = 1.7
 
 # curses theme, see themes/ directory.
 SFEED_THEME = mono

=== debian/changelog ===
sfeed (1.7-1) unstable; urgency=medium

  * sfeed_curses:
    * Add SCO keys for next, prior (CSI I and CSI G).
    * Add SUN keys support.

  * sfeed_gopher:
    * Remove unnecessary PATH_MAX restricting the path length.
      This also makes it compile cleanly on GNU/Hurd.

  * Man page and documentation improvements.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Sat, 25 Feb 2023 15:11:29 +0100

## sfeed 1.9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed
-VERSION = 1.7
+VERSION = 1.9
 
 # curses theme, see themes/ directory.
 SFEED_THEME = mono
@@ -26,7 +26,7 @@
 SFEED_CURSES = sfeed_curses
 SFEED_CURSES_CFLAGS = ${CFLAGS}
 SFEED_CURSES_CPPFLAGS = -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700 -D_BSD_SOURCE \
-	 -DSFEED_THEME=\"themes/${SFEED_THEME}.h\" ${SFEED_CPPFLAGS}
+	 -DSFEED_THEME=\"themes/${SFEED_THEME}.h\"
 SFEED_CURSES_LDFLAGS = ${LDFLAGS} -lcurses
 
 # Linux: some distros use ncurses and require -lncurses.
@@ -34,7 +34,7 @@
 
 # Gentoo Linux: some distros might also require -ltinfo and -D_DEFAULT_SOURCE
 # to prevent warnings about feature test macros.
-#SFEED_CURSES_LDFLAGS = ${LDFLAGS} -lcurses -ltinfo
+#SFEED_CURSES_LDFLAGS = ${LDFLAGS} -lncurses -ltinfo
 
 # FreeBSD: unset feature test macros for SIGWINCH etc.
 #SFEED_CURSES_CPPFLAGS =
@@ -51,6 +51,7 @@
 	sfeed_frames\
 	sfeed_gopher\
 	sfeed_html\
+	sfeed_json\
 	sfeed_mbox\
 	sfeed_opml_import\
 	sfeed_plain\

=== debian/changelog ===
sfeed (1.9-1) unstable; urgency=medium

  * Fixes:
    * sfeed_atom: for gmtime_r() make the error message consistent.
    * sfeed_markread: fail early if creating a temporary file failed.
    * Code-cleaning and pedantic fixes.
    * Documentation improvements.

  * Features:
    * sfeed_{curses,frames,gopher,html,plain}: add $SFEED_NEW_AGE
    * sfeed_update/sfeedrc: add url as a parameter to the filter() and order()
      function. This makes it easier to set filters or ordering by pattern
      matching on a group of feeds by the feed URL.
    * sfeed_curses: move one line down when marking an item as read or unread.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Wed, 30 Aug 2023 12:34:56 +0100

sfeed (1.8-1) unstable; urgency=medium

  * Fixes:
    * sfeed_update: fail early if creating a temporary directory or status file
      fails.
    * sfeed_atom, sfeed_json, sfeed_mbox:
      Fix reading past the buffer with an escaped NUL byte (\ NUL).
      Note that this could not happen with output from sfeed itself. Only if
      it was manipulated.
    * sfeed_curses: fix (very hard to trigger) memleak when getline() returns
      EOF for lazyloaded items.
    * sfeed parser:
      * Improve parsing RFC2822 obsolete short year.
      * Use errno ENOMEM instead of EOVERFLOW.
        This matches the behaviour of setting errno for malloc/calloc on the
        following systems too: glibc, musl libc, OpenBSD libc.
      * date to unix timestamp: fix incorrect int type to long.
    * Makefile: remove duplicate CPPFLAGS for sfeed_curses

  * Features:
    * sfeed_json: add JSON output format tool: formats the TSV data to JSON.
      It is a subset of JSON Feed 1.1: https://www.jsonfeed.org/version/1.1/

  * Optimizations:
    * sfeed_atom: save a few bytes in the output by removing the type="text"
      attribute, because for Atom the default for the type is text.
    * Slightly reduce stack size for translating XML entities.
      A numeric entity could use 5 bytes, so use a round number of 8 bytes.

  * Misc:
    * sfeed: simplify time calculation and make it slightly easier to read.
    * Remove the sfeed name in some outputs ("branding").
    * Documentation improvements.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Sun, 23 Apr 2023 12:34:56 +0100

## sfeed 2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed
-VERSION = 1.9
+VERSION = 2.0
 
 # curses theme, see themes/ directory.
 SFEED_THEME = mono

=== debian/changelog ===
sfeed (2.0-1) unstable; urgency=medium

  * Features:
    * sfeed_update: use xargs -P for improved job handling when updating
      feeds in parallel.
    * sfeed_update: update default maxjobs from 8 to 16.

  * Fixes:
    * sfeed_json: fix name of "url" field for attachments.
    * sfeed_opml_export and sfeed_update: allow only regular files.
    * sfeed_update: improve compatibility with zsh as a non-interactive
      shell, because some variables likes like $path and $status are
      reserved.
    * sfeed_update:
      when the feeds() function is not defined then exit with status
      code 1 (this was incorrectly status code 0).
    * sfeed_update: improvements in the cleanup of temporary files for
      edge-cases.

  * Code improvements:
    * sfeed_curses/sfeed_gopher: mark functions as static.
    * sfeed_gopher: fix a clang-analyzer warning.
    * sfeed_update: in the order() function suppress output to stderr,
      like merge() already does.
    * Some small documentation improvements.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Fri, 29 Dec 2023 12:34:56 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sfeed PREFIX=/usr MANPREFIX=/usr/share/man

## sfeed 2.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed
-VERSION = 2.0
+VERSION = 2.2
 
 # curses theme, see themes/ directory.
 SFEED_THEME = mono
@@ -146,7 +146,7 @@
 install: all
 	# installing executable files and scripts.
 	mkdir -p "${DESTDIR}${PREFIX}/bin"
-	cp -f ${BIN} ${SCRIPTS} "${DESTDIR}${PREFIX}/bin"
+	cp -fRP ${BIN} ${SCRIPTS} "${DESTDIR}${PREFIX}/bin"
 	for f in ${BIN} ${SCRIPTS}; do chmod 755 "${DESTDIR}${PREFIX}/bin/$$f"; done
 	# installing example files.
 	mkdir -p "${DESTDIR}${DOCPREFIX}"

=== debian/changelog ===
sfeed (2.2-1) unstable; urgency=medium

  * Improvements: 
    * sfeed.c: optimize tag lookup by reverting the binary search to a
      linear lookup. This is because the tags table is very small.

  * Documentation fixes:
    * README, sfeedrc.5: improve If-Modified-Since example:
      * Use the exact server timestamp to compare modified content
        (curl -R option). Using the client timestamp is imprecise.
      * Do not use the modified timestamp of the ETag for If-Modified-Since
        this can differ as well.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Tue, 11 Mar 2025 12:34:56 +0100

sfeed (2.1-1) unstable; urgency=medium

  * Fixes:
    * xml.c parsing fix: improve parsing whitespace after end tag names.
    * sfeed_update: fix: leave IFS unchanged for sfeedrc code.
    * sfeed.c, small pedantic time parsing improvements.

  * Documentation improvements.
  * Code-style improvements.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Thu, 26 Dec 2024 12:34:56 +0100

=== debian/control ===
Source: sfeed
Section: net
Priority: optional
Maintainer: Hiltjo Posthuma <hiltjo@codemadness.org>
Build-Depends: debhelper-compat (= 13), ncurses-dev
Standards-Version: 4.5.1
Homepage: https://codemadness.org/sfeed.html
Vcs-Browser: https://codemadness.org/git/sfeed/
Vcs-Git: git://git.codemadness.org/sfeed
Rules-Requires-Root: no

Package: sfeed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: curl
Suggests: lynx, xclip
Description: RSS and Atom parser
 RSS and Atom parser (and some format programs).
 It converts RSS or Atom feeds from XML to a TAB-separated file. There are
 formatting programs included to convert this TAB-separated format to various
 other formats. There are also some programs and scripts included to import and
 export OPML and to fetch, filter, merge and order feed items.

## sfeed 2.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed
-VERSION = 2.2
+VERSION = 2.3
 
 # curses theme, see themes/ directory.
 SFEED_THEME = mono

=== debian/changelog ===
sfeed (2.3-1) unstable; urgency=medium

  For this release if you use sfeed_mbox: because of some changes the
  Message-ID value will be different. This may be important for example
  if you use this header for filtering duplicate messages.

  Fixes:

    * sfeed_update: when merging a record: change the default to use the
      last record.
    * sfeed_mbox: be more strict about what characters to allow in the To
      and Message-ID header.

  Features:

    * sfeed_gopher: improve output and nicer formatting of the index file.
    * sfeed_mbox: add more mail headers. This allows more convenient
      filtering in many mail clients.

  * Various small code cleanups and documentation improvements:
    * xml.c: validate numeric entities more strictly.
    * Handle unlikely case argc < 1 in programs.
    * Fix some pedantic warnings suggested by cppcheck.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Mon, 29 Dec 2025 12:34:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,8 @@
 Priority: optional
 Maintainer: Hiltjo Posthuma <hiltjo@codemadness.org>
 Build-Depends: debhelper-compat (= 13), ncurses-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://codemadness.org/sfeed.html
-Vcs-Browser: https://codemadness.org/git/sfeed/
-Vcs-Git: git://git.codemadness.org/sfeed
 Rules-Requires-Root: no
 
 Package: sfeed

## sfeed curses-0.1

=== Makefile ===
.POSIX:

NAME = sfeed_curses
VERSION = 0.1

# paths
PREFIX = /usr/local
MANPREFIX = ${PREFIX}/man
DOCPREFIX = ${PREFIX}/share/doc/${NAME}

# use system flags.
SFEED_CFLAGS = ${CFLAGS}
SFEED_LDFLAGS = ${LDFLAGS} -lcurses
SFEED_CPPFLAGS = -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -D_BSD_SOURCE

BIN = sfeed_curses

SRC = ${BIN:=.c}

MAN1 = ${BIN:=.1}
DOC = \
	LICENSE\
	README\
	content.example.sh

all: ${BIN}

${BIN}: ${@:=.o}

OBJ = ${SRC:.c=.o}

${OBJ}:

.o:
	${CC} ${SFEED_LDFLAGS} -o $@ $<

.c.o:
	${CC} ${SFEED_CFLAGS} ${SFEED_CPPFLAGS} -o $@ -c $<

dist:
	rm -rf "${NAME}-${VERSION}"
	mkdir -p "${NAME}-${VERSION}"
	cp -f ${MAN1} ${DOC} ${SRC} Makefile \
		"${NAME}-${VERSION}"
	# make tarball
	tar cf - "${NAME}-${VERSION}" | \
		gzip -c > "${NAME}-${VERSION}.tar.gz"
	rm -rf "${NAME}-${VERSION}"

clean:
	rm -f ${BIN} ${OBJ}

install: all
	# installing executable files and scripts.
	mkdir -p "${DESTDIR}${PREFIX}/bin"
	cp -f ${BIN} ${SCRIPTS} "${DESTDIR}${PREFIX}/bin"
	for f in ${BIN} ${SCRIPTS}; do chmod 755 "${DESTDIR}${PREFIX}/bin/$$f"; done
	# installing example files.
	mkdir -p "${DESTDIR}${DOCPREFIX}"
	cp -f README\
		"${DESTDIR}${DOCPREFIX}"
	# installing manual pages for general commands: section 1.
	mkdir -p "${DESTDIR}${MANPREFIX}/man1"
	cp -f ${MAN1} "${DESTDIR}${MANPREFIX}/man1"
	for m in ${MAN1}; do chmod 644 "${DESTDIR}${MANPREFIX}/man1/$$m"; done

uninstall:
	# removing executable files and scripts.
	for f in ${BIN} ${SCRIPTS}; do rm -f "${DESTDIR}${PREFIX}/bin/$$f"; done
	# removing example files.
	rm -f \
		"${DESTDIR}${DOCPREFIX}/README"
	-rmdir "${DESTDIR}${DOCPREFIX}"
	# removing manual pages.
	for m in ${MAN1}; do rm -f "${DESTDIR}${MANPREFIX}/man1/$$m"; done

.PHONY: all clean dist install uninstall

## sfeed curses-0.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.1
+VERSION = 0.2
 
 # paths
 PREFIX = /usr/local

## sfeed curses-0.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.2
+VERSION = 0.3
 
 # paths
 PREFIX = /usr/local

## sfeed curses-0.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.3
+VERSION = 0.4
 
 # paths
 PREFIX = /usr/local
@@ -12,6 +12,9 @@
 SFEED_CFLAGS = ${CFLAGS}
 SFEED_LDFLAGS = ${LDFLAGS} -lcurses
 SFEED_CPPFLAGS = -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -D_BSD_SOURCE
+
+# Linux: some distros use ncurses and require -lncurses.
+#SFEED_LDFLAGS = ${LDFLAGS} -lncurses
 
 BIN = sfeed_curses

## sfeed curses-0.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.4
+VERSION = 0.7
 
 # paths
 PREFIX = /usr/local

## sfeed curses-0.8.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.7
+VERSION = 0.8.1
 
 # paths
 PREFIX = /usr/local
@@ -17,10 +17,12 @@
 #SFEED_LDFLAGS = ${LDFLAGS} -lncurses
 
 BIN = sfeed_curses
+SCRIPTS = sfeed_markread
 
 SRC = ${BIN:=.c}
 
-MAN1 = ${BIN:=.1}
+MAN1 = ${BIN:=.1}\
+	${SCRIPTS:=.1}
 DOC = \
 	LICENSE\
 	README\
@@ -43,7 +45,7 @@
 dist:
 	rm -rf "${NAME}-${VERSION}"
 	mkdir -p "${NAME}-${VERSION}"
-	cp -f ${MAN1} ${DOC} ${SRC} Makefile \
+	cp -f ${MAN1} ${DOC} ${SRC} ${SCRIPTS} Makefile \
 		"${NAME}-${VERSION}"
 	# make tarball
 	tar cf - "${NAME}-${VERSION}" | \

## sfeed curses-0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.8.1
+VERSION = 0.8.2
 
 # paths
 PREFIX = /usr/local

## sfeed curses-0.9.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.8.2
+VERSION = 0.9.1
 
 # paths
 PREFIX = /usr/local
@@ -17,7 +17,7 @@
 #SFEED_LDFLAGS = ${LDFLAGS} -lncurses
 
 BIN = sfeed_curses
-SCRIPTS = sfeed_markread
+SCRIPTS = sfeed_content sfeed_markread
 
 SRC = ${BIN:=.c}
 
@@ -25,8 +25,7 @@
 	${SCRIPTS:=.1}
 DOC = \
 	LICENSE\
-	README\
-	content.example.sh
+	README
 
 all: ${BIN}

## sfeed curses-0.9.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.1
+VERSION = 0.9.2
 
 # paths
 PREFIX = /usr/local
@@ -20,6 +20,7 @@
 SCRIPTS = sfeed_content sfeed_markread
 
 SRC = ${BIN:=.c}
+HDR = minicurses.h
 
 MAN1 = ${BIN:=.1}\
 	${SCRIPTS:=.1}
@@ -44,7 +45,7 @@
 dist:
 	rm -rf "${NAME}-${VERSION}"
 	mkdir -p "${NAME}-${VERSION}"
-	cp -f ${MAN1} ${DOC} ${SRC} ${SCRIPTS} Makefile \
+	cp -f ${MAN1} ${DOC} ${HDR} ${SRC} ${SCRIPTS} Makefile \
 		"${NAME}-${VERSION}"
 	# make tarball
 	tar cf - "${NAME}-${VERSION}" | \

## sfeed curses-0.9.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.2
+VERSION = 0.9.3
 
 # paths
 PREFIX = /usr/local
@@ -15,6 +15,11 @@
 
 # Linux: some distros use ncurses and require -lncurses.
 #SFEED_LDFLAGS = ${LDFLAGS} -lncurses
+
+# Gentoo Linux: some distros might also require -ltinfo and -D_DEFAULT_SOURCE
+# to prevent warnings about feature macros.
+#SFEED_LDFLAGS = ${LDFLAGS} -lcurses -ltinfo
+#SFEED_CPPFLAGS = -D_DEFAULT_SOURCE -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -D_BSD_SOURCE
 
 BIN = sfeed_curses
 SCRIPTS = sfeed_content sfeed_markread
@@ -37,7 +42,7 @@
 ${OBJ}:
 
 .o:
-	${CC} ${SFEED_LDFLAGS} -o $@ $<
+	${CC} -o $@ $< ${SFEED_LDFLAGS}
 
 .c.o:
 	${CC} ${SFEED_CFLAGS} ${SFEED_CPPFLAGS} -o $@ -c $<

## sfeed curses-0.9.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.3
+VERSION = 0.9.4
 
 # paths
 PREFIX = /usr/local

## sfeed curses-0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.4
+VERSION = 0.9.5
 
 # paths
 PREFIX = /usr/local

## sfeed curses-0.9.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.5
+VERSION = 0.9.6
 
 # paths
 PREFIX = /usr/local

## sfeed curses-0.9.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.6
+VERSION = 0.9.7
+
+# theme, see themes/ directory.
+SFEED_THEME = mono
 
 # paths
 PREFIX = /usr/local
@@ -11,7 +14,8 @@
 # use system flags.
 SFEED_CFLAGS = ${CFLAGS}
 SFEED_LDFLAGS = ${LDFLAGS} -lcurses
-SFEED_CPPFLAGS = -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -D_BSD_SOURCE
+SFEED_CPPFLAGS = -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -D_BSD_SOURCE \
+	-DSFEED_THEME=\"themes/${SFEED_THEME}.h\"
 
 # Linux: some distros use ncurses and require -lncurses.
 #SFEED_LDFLAGS = ${LDFLAGS} -lncurses
@@ -19,7 +23,13 @@
 # Gentoo Linux: some distros might also require -ltinfo and -D_DEFAULT_SOURCE
 # to prevent warnings about feature macros.
 #SFEED_LDFLAGS = ${LDFLAGS} -lcurses -ltinfo
-#SFEED_CPPFLAGS = -D_DEFAULT_SOURCE -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -D_BSD_SOURCE
+#SFEED_CPPFLAGS = -D_DEFAULT_SOURCE -D_POSIX_C_SOURCE=200809L \
+#	-D_XOPEN_SOURCE=700 -D_BSD_SOURCE -DSFEED_THEME=\"themes/${SFEED_THEME}.h\"
+
+# use minicurses with hardcoded escape sequences (not the system curses).
+#SFEED_CPPFLAGS = -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -D_BSD_SOURCE \
+#	-DSFEED_THEME=\"themes/${SFEED_THEME}.h\" -DSFEED_MINICURSES
+#SFEED_LDFLAGS = ${LDFLAGS}
 
 BIN = sfeed_curses
 SCRIPTS = sfeed_content sfeed_markread
@@ -50,7 +60,7 @@
 dist:
 	rm -rf "${NAME}-${VERSION}"
 	mkdir -p "${NAME}-${VERSION}"
-	cp -f ${MAN1} ${DOC} ${HDR} ${SRC} ${SCRIPTS} Makefile \
+	cp -fR ${MAN1} ${DOC} ${HDR} ${SRC} ${SCRIPTS} Makefile themes \
 		"${NAME}-${VERSION}"
 	# make tarball
 	tar cf - "${NAME}-${VERSION}" | \

## sfeed curses-0.9.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.7
+VERSION = 0.9.8
 
 # theme, see themes/ directory.
 SFEED_THEME = mono

## sfeed curses-0.9.10

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.8
+VERSION = 0.9.10
 
 # theme, see themes/ directory.
 SFEED_THEME = mono

## sfeed curses-0.9.11

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.10
+VERSION = 0.9.11
 
 # theme, see themes/ directory.
 SFEED_THEME = mono

## sfeed curses-0.9.12

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.11
+VERSION = 0.9.12
 
 # theme, see themes/ directory.
 SFEED_THEME = mono
